import GroupModel from "../../../Models/GroupModel.js";
import { CategoryView } from "./CategoryView.js";
import { BaseView, IBaseViewOptions } from "../../BaseView.js";
export interface IContentViewOptions extends IBaseViewOptions {
    source: GroupModel;
}
export interface IResizeColumnEventArgs {
    width: number;
}
export default class ContentView extends BaseView {
    constructor(options: IContentViewOptions);
    protected get source(): GroupModel;
    get categories(): Jade.Collection<CategoryView>;
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onComplete(e: Jade.UI.ControlEventArgs): void;
    private onScroll;
    private populate;
    private addEventSubscriptions;
    private addCategoryCollapseStateToStorage;
}
